<?php 
session_start();
//echo $_SESSION['user_id'];
//echo $_POST['id'];
include('../cfg/res.php');
require('../../_lib/vrmod10.php');
require('../../_lib/vrmod11.php');
require('../../_lib/vrruced.php');
require('../../_lib/vrinsenti.php');
date_default_timezone_set('America/Guayaquil');
$sql_docu='update docu0 set docu_numero=docu_numero+1 where docu_codigo="OP19"';
mysql_query($sql_docu,$link_vcrx);

$sql_docu='select docu_numero from docu0 where docu_codigo="OP19"';
$res_docu=mysql_query($sql_docu,$link_vcrx);
$docu=mysql_result($res_docu,0,'docu_numero');


$sql_refx='select * from enti0 where enti_codigo="'.$_SESSION['user_vcrx_id'].'"';
$res_refx=mysql_query($sql_refx,$link_vcrx);
if(mysql_num_rows($res_refx)!=0)
{
 $refx=mysql_result($res_refx,0,'enti_referidox');
}
else
{
 $refx='';
}

$enti_clie=$_SESSION['user_vcrx_id'];
$enti_drtr=$refx;

//if($_SESSION['user_vcrx_tipo']=='admi' && isset($_POST['id']) && !empty($_POST['id']))
//echo '0';

if(isset($_POST['id']) && !empty($_POST['id']))
{

	if(vrruced($_POST['id'],false)=='NAT')
	{

		$enti_clie=$_POST['id'];
		$enti_drtr=$_SESSION['user_vcrx_id'];
		//vrinsenti($_POST['id']);
                $insenti=new vrinsenti($_POST['id'],'../../_lib','../cfg/res.php');
		$sql_nenti='select *from enti0 where enti_codigo="'.$_POST['id'].'" and enti_descri="'.$_POST['id'].'"';
		$res_nenti=mysql_query($sql_nenti,$link_vcrx);
		if(mysql_num_rows($res_nenti)==1)
		{
			$sql_uenti='update enti0 set enti_descri="'.strtoupper($_POST['desc']).'" , enti_telefono="'.$_POST['telef'].'" where enti_codigo="'.$_POST['id'].'"';
			mysql_query($sql_uenti,$link_vcrx);
			
		}
		

		$sql_refxid='select * from enti0 where enti_codigo="'.$_POST['id'].'" and enti_referidox!="" and enti_referidox is not null';
		
		$res_refxid=mysql_query($sql_refxid,$link_vcrx);
		
		if(mysql_num_rows($res_refxid)!=0)
		{
			//$enti_drtr=mysql_result($res_refxid,0,'enti_referidox');
		}



	}
	else
	{
		//die("0");
	}
	
	
	if($_SESSION['user_vcrx_id']==$_POST['id'])
	{
		$enti_clie=$_SESSION['user_vcrx_id'];
	}


	
	if($_SESSION['user_vcrx_tipo']=='admi' )
	{
		//$enti_drtr='';
	}


}
else
{

}

//*********
require('../../_lib/numedocu.php');
$docu=numedocu('OP19','001001');
$docu++;
$docu=str_pad($docu, 9, "0", STR_PAD_LEFT);
//*********

$sql_pedido_c='insert into clie1(
empr,
docu,
numero,
fecha,
enti,
drtr,
concepto,
ptoe,
status,
adrs,
idate,
plazo,
iuser
)
values(
"'.strtoupper($_SESSION['user_vcrx_empr']).'",
"OP19",
"'.str_pad((int) $docu,9,"0",STR_PAD_LEFT).'",
NOW(),
"'.$enti_clie.'",
"'.$enti_drtr.'",
"PEDIDO ONLINE",
"001001",
"-",
"'.$_POST['adrs'].'",
NOW(),
3,
"'.$_SESSION['user_vcrx_id'].'"

)';



if(mysql_query($sql_pedido_c,$link_vcrx))
{
	$sql_pedido_pk='SELECT MAX(idnum1)as codigo from clie1 WHERE  enti="'.$enti_clie.'"';
	$res_pedido_pk=mysql_query($sql_pedido_pk,$link_vcrx);
	echo mysql_result($res_pedido_pk,0,'codigo');
		
}
else
{
	echo '0';	
}

?>